PrintRendererMaker (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.print

## Class PrintRendererMaker

- java.lang.Object
- - org.apache.fop.render.AbstractRendererMaker
  - - org.apache.fop.render.print.PrintRendererMaker

-     public class PrintRendererMaker
      extends AbstractRendererMaker

  RendererMaker for the Print Renderer.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrintRendererMaker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configureRenderer(FOUserAgent userAgent, Renderer renderer)` Configures a given renderer using the appropriate configurator.
    `java.lang.String[]` | `getSupportedMimeTypes()`
    `Renderer` | `makeRenderer(FOUserAgent userAgent)` Instantiates a new renderer.
    `boolean` | `needsOutputStream()`

    - ### Methods inherited from class org.apache.fop.render.AbstractRendererMaker

      `isMimeTypeSupported`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrintRendererMaker

          public PrintRendererMaker()

  - ### Method Detail

    - #### makeRenderer

          public Renderer makeRenderer(FOUserAgent userAgent)

      Description copied from class: `AbstractRendererMaker`
      Instantiates a new renderer.
      Specified by:
        `makeRenderer` in class `AbstractRendererMaker`
      Parameters:
        `userAgent` - the user agent
      Returns:
        the newly instantiated renderer

    - #### configureRenderer

          public void configureRenderer(FOUserAgent userAgent,
                                        Renderer renderer)
                                 throws FOPException

      Description copied from class: `AbstractRendererMaker`
      Configures a given renderer using the appropriate configurator.
      Specified by:
        `configureRenderer` in class `AbstractRendererMaker`
      Parameters:
        `userAgent` - user agent
        `renderer` - the renderer that is to be configured
      Throws:
        `FOPException`

    - #### needsOutputStream

          public boolean needsOutputStream()

      Specified by:
        `needsOutputStream` in class `AbstractRendererMaker`
      Returns:
        Indicates whether this renderer requires an OutputStream to work with.

    - #### getSupportedMimeTypes

          public java.lang.String[] getSupportedMimeTypes()

      Specified by:
        `getSupportedMimeTypes` in class `AbstractRendererMaker`
      Returns:
        an array of MIME types the renderer supports.

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.